/*
 * Copyright 2010-2015 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package com.amazonaws.services.codedeploy.model;

import com.amazonaws.AmazonServiceException;

/**
 * <p>
 * The service role ARN was specified in an invalid format. Or, if an
 * Auto Scaling group was specified, the specified service role does not
 * grant the appropriate permissions to Auto Scaling.
 * </p>
 */        
public class InvalidRoleException extends AmazonServiceException {
    private static final long serialVersionUID = 1L;
    
    /**
     * Constructs a new InvalidRoleException with the specified error
     * message.
     * 
     * @param message Describes the error encountered.
     */
    public InvalidRoleException(String message) {
        super(message);
    }
    
}
    