
/**
 * Synchronous and asynchronous client classes for accessing AWSStorageGateway.
 *
 * AWS Storage Gateway Service <p>
 * AWS Storage Gateway is the service that connects an on-premises
 * software appliance with cloud-based storage to provide seamless and
 * secure integration between an organization's on-premises IT
 * environment and AWS's storage infrastructure. The service enables you
 * to securely upload data to the AWS cloud for cost effective backup and
 * rapid disaster recovery.
 * </p>
 * <p>
 * Use the following links to get started using the <i>AWS Storage
 * Gateway Service API Reference</i> :
 * </p>
 * 
 * <ul>
 * <li>
 * <a href="http://docs.aws.amazon.com/storagegateway/latest/userguide/AWSStorageGatewayHTTPRequestsHeaders.html"> AWS Storage Gateway Required Request Headers </a>
 * : Describes the required headers that you must send with every POST
 * request to AWS Storage Gateway.</li>
 * <li>
 * <a href="http://docs.aws.amazon.com/storagegateway/latest/userguide/AWSStorageGatewaySigningRequests.html"> Signing Requests </a>
 * : AWS Storage Gateway requires that you authenticate every request
 * you send; this topic describes how sign such a request.</li>
 * <li>
 * <a href="http://docs.aws.amazon.com/storagegateway/latest/userguide/APIErrorResponses.html"> Error Responses </a>
 * : Provides reference information about AWS Storage Gateway
 * errors.</li>
 * <li>
 * <a href="http://docs.aws.amazon.com/storagegateway/latest/userguide/AWSStorageGatewayAPIOperations.html"> Operations in AWS Storage Gateway </a>
 * : Contains detailed descriptions of all AWS Storage Gateway
 * operations, their request parameters, response elements, possible
 * errors, and examples of requests and responses.</li>
 * <li>
 * <a href="http://docs.aws.amazon.com/general/latest/gr/index.html?rande.html"> AWS Storage Gateway Regions and Endpoints </a>
 * : Provides a list of each of the regions and endpoints available for
 * use with AWS Storage Gateway. </li>
 * 
 * </ul>
 */
 package com.amazonaws.services.storagegateway;
        